[B022] Clinical trial basic information

get
https://connect.patsnap.com/synapse/clinical-trial/detail
Try in Sandbox

Obtain clinical trial basic information through clinical trial id or registry number

One of the parameters clinical_trial_id and register_number must be passed

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
clinical_trial_id
string202425a889e52ae802432a8295220e53
Clinical trial id, obtain this through clinical trial search interface
register_number
stringNCT06498986
Register number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
phase
object{ "display_name": [ { "lang": "EN", "name": "Phase 2" }, { "lang": "CN", "name": "临床2期" } ], "normalized_id": "7b79728539354f189772a4eab9cc9fff" }
Study Phase
display_name
array[ { "lang": "EN", "name": "Autologous CAR-T" }, { "lang": "CN", "name": "自体CAR-T" } ]
Dict Name
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
normalized_id
string2fbfdb3e92d942c48cbb0adb79f23526
Dict ID
brief_title
stringA Study of BL-B01D1 in Combination With Osimertinib Mesylate Tablets in Patients With Locally Advanced or Metastatic Non-small Cell Lung Cancer
Trial Title
data_source
stringCTGOV
Registry, enumeration values: WHO, CTGOV, CTR
official_title
stringA Phase II Clinical Study to Evaluate the Efficacy and Safety of BL-B01D1 in Combination With Osimertinib Mesylate Tablets in Patients With Locally Advanced or Metastatic Non-small Cell Lung Cancer
Official Title
register_number
stringNCT06498986
Trial Number
clinical_trial_id
string202425a889e52ae802432a8295220e53
Clinical Trial ID
recruitment_status
stringNot yet recruiting
Recruitment Status
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "phase": {
      "display_name": [
        {
          "lang": "EN",
          "name": "Ranibizumab (Genentech)"
        }
      ],
      "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
    },
    "brief_title": "A Study of BL-B01D1 in Combination With Osimertinib Mesylate Tablets in Patients With Locally Advanced or Metastatic Non-small Cell Lung Cancer",
    "data_source": "CTGOV",
    "official_title": "A Phase II Clinical Study to Evaluate the Efficacy and Safety of BL-B01D1 in Combination With Osimertinib Mesylate Tablets in Patients With Locally Advanced or Metastatic Non-small Cell Lung Cancer",
    "register_number": "NCT06498986",
    "clinical_trial_id": "202425a889e52ae802432a8295220e53",
    "recruitment_status": "Not yet recruiting"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found